### Method

# EDataBook BookCache ref_collator

since: 3.26

#### Declaration [src]

    ECollator*
    e_book_cache_ref_collator (
      EBookCache* book_cache
    )

#### Description [src]

References the currently active `ECollator` for `book_cache`, use `e_collator_unref()` when finished using the returned collator.

Note that the active collator will change with the active locale setting.

Available since: 3.26

#### Return value

Type: `ECollator`

A reference to the active collator.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.